<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__iot__network__secured__socket_8h" kind="file" language="C++">
    <compoundname>cy_iot_network_secured_socket.h</compoundname>
    <includes local="yes" refid="iot__config_8h">iot_config.h</includes>
    <includes local="yes">iot_network.h</includes>
    <includes local="yes">cy_secure_sockets.h</includes>
    <includes local="yes">cy_tls.h</includes>
    <includedby local="yes" refid="doxygen__mqtt__code__snippet_8h">doxygen_mqtt_code_snippet.h</includedby>
    <incdepgraph>
      <node id="0">
        <label>cy_iot_network_secured_socket.h</label>
        <link refid="cy__iot__network__secured__socket_8h" />
        <childnode refid="1" relation="include">
        </childnode>
        <childnode refid="2" relation="include">
        </childnode>
        <childnode refid="3" relation="include">
        </childnode>
      </node>
      <node id="2">
        <label>cy_secure_sockets.h</label>
      </node>
      <node id="3">
        <label>cy_tls.h</label>
      </node>
      <node id="1">
        <label>iot_network.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy__iot__network__secured__socket_8h_1a2859712c2560630ed248c9fddcb3bf07" kind="define" prot="public" static="no">
        <name>IOT_NETWORK_SERVER_INFO_CY_SECURE_SOCKETS_INITIALIZER</name>
        <initializer>{ 0 }</initializer>
        <briefdescription>
<para>Provides a default value for an IotNetworkServerInfo. </para>        </briefdescription>
        <detaileddescription>
<para>All instances of IotNetworkServerInfo should be initialized with this constant when using Cypress secure sockets implementation.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;Failing to initialize an IotNetworkServerInfo may result in a crash! &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This initializer may change at any time in future versions, but its name will remain the same. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" bodystart="248" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="248" />
      </memberdef>
      <memberdef id="cy__iot__network__secured__socket_8h_1a23b5db16d3e43125d2c6927e1634a382" kind="define" prot="public" static="no">
        <name>IOT_PASSWORD_ALPN_FOR_CY_SECURE_SOCKETS</name>
        <initializer>""</initializer>
        <briefdescription>
<para>This is the ALPN (Application-Layer Protocol Negotiation) string required for password-based authentication to the MQTT broker, TCP port 443, and Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" bodystart="255" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="255" />
      </memberdef>
      <memberdef id="cy__iot__network__secured__socket_8h_1acaffb2ac8783cecfe9535e22c1ebf468" kind="define" prot="public" static="no">
        <name>IOT_NETWORK_CREDENTIALS_CY_SECURE_SOCKETS_INITIALIZER</name>
        <initializer>{ 0 }</initializer>
        <briefdescription>
<para>Generic initializer for an IotNetworkCredentials when using this Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This initializer may change at any time in future versions, but its name will remain the same. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" bodystart="264" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="264" />
      </memberdef>
      <memberdef id="cy__iot__network__secured__socket_8h_1ac424e5533bc5dbc02cb3d06e6eb91956" kind="define" prot="public" static="no">
        <name>IOT_NETWORK_INTERFACE_CY_SECURE_SOCKETS</name>
        <initializer>( IotNetworkSecureSockets_GetInterface() )</initializer>
        <briefdescription>
<para>Provides a pointer to an IotNetworkInterface_t that uses the functions declared in this file. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" bodystart="270" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="270" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1a3d6bfe0e9b942d2c4efb1ab2ab79c803" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>const IotNetworkInterface_t *</type>
        <definition>const IotNetworkInterface_t* IotNetworkSecureSockets_GetInterface</definition>
        <argsstring>(void)</argsstring>
        <name>IotNetworkSecureSockets_GetInterface</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Retrieve the network interface using the functions in this file. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Network interface handle. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="276" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_Init</definition>
        <argsstring>(void)</argsstring>
        <name>IotNetworkSecureSockets_Init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>One-time initialization function for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs internal setup of this network stack. <bold>It must be called once (and only once) before calling any other function in this network stack</bold>. Calling this function more than once without first calling <ref kindref="member" refid="group__mqtt__cyport__function_1ga2effc9b94bd111ebde698cb87031c80f">IotNetworkSecureSockets_Cleanup</ref> may result in a crash.</para><para><simplesect kind="return"><para>IOT_NETWORK_SUCCESS or IOT_NETWORK_FAILURE.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;No thread-safety guarantees are provided for this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="294" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__mqtt__cyport__function_1ga2effc9b94bd111ebde698cb87031c80f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void IotNetworkSecureSockets_Cleanup</definition>
        <argsstring>(void)</argsstring>
        <name>IotNetworkSecureSockets_Cleanup</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>One-time deinitialization function for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
<para>This function frees resources taken in <ref kindref="member" refid="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333">IotNetworkSecureSockets_Init</ref>. It should be called after destroying all network connections to clean up this network stack. After this function returns, <ref kindref="member" refid="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333">IotNetworkSecureSockets_Init</ref> must be called again before calling any other function in this network stack.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;No thread-safety guarantees are provided for this function. Do not call this function if any network connections exist! &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="307" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1adb1d45a62bfbe92cf0ea49d5c02e1cc1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_Create</definition>
        <argsstring>(IotNetworkServerInfo_t pServerInfo, IotNetworkCredentials_t pCredentialInfo, IotNetworkConnection_t *pConnection)</argsstring>
        <name>IotNetworkSecureSockets_Create</name>
        <param>
          <type>IotNetworkServerInfo_t</type>
          <declname>pServerInfo</declname>
        </param>
        <param>
          <type>IotNetworkCredentials_t</type>
          <declname>pCredentialInfo</declname>
        </param>
        <param>
          <type>IotNetworkConnection_t *</type>
          <declname>pConnection</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::create for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="317" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1a8f1f3313ea35658f968f3f7cc8b0687b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_SetReceiveCallback</definition>
        <argsstring>(IotNetworkConnection_t pConnection, IotNetworkReceiveCallback_t receiveCallback, void *pContext)</argsstring>
        <name>IotNetworkSecureSockets_SetReceiveCallback</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <param>
          <type>IotNetworkReceiveCallback_t</type>
          <declname>receiveCallback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>pContext</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::setReceiveCallback for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="325" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1a9a916271a8e354dc76c8d589785b815f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_SetCloseCallback</definition>
        <argsstring>(IotNetworkConnection_t pConnection, IotNetworkCloseCallback_t closeCallback, void *pContext)</argsstring>
        <name>IotNetworkSecureSockets_SetCloseCallback</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <param>
          <type>IotNetworkCloseCallback_t</type>
          <declname>closeCallback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>pContext</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::setCloseCallback for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="333" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1ab15345f82aba11e707232e281de89fb0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>size_t</type>
        <definition>size_t IotNetworkSecureSockets_Send</definition>
        <argsstring>(IotNetworkConnection_t pConnection, const uint8_t *pMessage, size_t messageLength)</argsstring>
        <name>IotNetworkSecureSockets_Send</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>pMessage</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>messageLength</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::send for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="340" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1a37b556610f2e0fc566e983b6ea2c599e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>size_t</type>
        <definition>size_t IotNetworkSecureSockets_Receive</definition>
        <argsstring>(IotNetworkConnection_t pConnection, uint8_t *pBuffer, size_t bytesRequested)</argsstring>
        <name>IotNetworkSecureSockets_Receive</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>pBuffer</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>bytesRequested</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::receive for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="347" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1ad6cb0a376135d829bff9ffc9fcd32008" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_Close</definition>
        <argsstring>(IotNetworkConnection_t pConnection)</argsstring>
        <name>IotNetworkSecureSockets_Close</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::close for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="354" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1a27371ce3641f38cae9f6b4191740e9ca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_Destroy</definition>
        <argsstring>(IotNetworkConnection_t pConnection)</argsstring>
        <name>IotNetworkSecureSockets_Destroy</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <briefdescription>
<para>An implementation of IotNetworkInterface_t::destroy for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="359" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__iot__network__secured__socket_8h_1ac49f8e04f324b59b6b29ba0a9c59b134" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int IotNetworkSecureSockets_GetSocket</definition>
        <argsstring>(IotNetworkConnection_t pConnection)</argsstring>
        <name>IotNetworkSecureSockets_GetSocket</name>
        <param>
          <type>IotNetworkConnection_t</type>
          <declname>pConnection</declname>
        </param>
        <briefdescription>
<para>Used by metrics to retrieve the socket (file descriptor) associated with a connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="365" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file declares the callback functions that are required by iot network abstraction layer (specified in iot_network.h) for AWS IoT device SDK to work on Cypress platforms. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />Copyright<sp />2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />Copyright<sp />(C)<sp />2019<sp />Amazon.com,<sp />Inc.<sp />or<sp />its<sp />affiliates.<sp /><sp />All<sp />Rights<sp />Reserved.</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />Permission<sp />is<sp />hereby<sp />granted,<sp />free<sp />of<sp />charge,<sp />to<sp />any<sp />person<sp />obtaining<sp />a<sp />copy<sp />of</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />this<sp />software<sp />and<sp />associated<sp />documentation<sp />files<sp />(the<sp />"Software"),<sp />to<sp />deal<sp />in</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />the<sp />Software<sp />without<sp />restriction,<sp />including<sp />without<sp />limitation<sp />the<sp />rights<sp />to</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp />use,<sp />copy,<sp />modify,<sp />merge,<sp />publish,<sp />distribute,<sp />sublicense,<sp />and/or<sp />sell<sp />copies<sp />of</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*<sp />the<sp />Software,<sp />and<sp />to<sp />permit<sp />persons<sp />to<sp />whom<sp />the<sp />Software<sp />is<sp />furnished<sp />to<sp />do<sp />so,</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />subject<sp />to<sp />the<sp />following<sp />conditions:</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />The<sp />above<sp />copyright<sp />notice<sp />and<sp />this<sp />permission<sp />notice<sp />shall<sp />be<sp />included<sp />in<sp />all</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />copies<sp />or<sp />substantial<sp />portions<sp />of<sp />the<sp />Software.</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />THE<sp />SOFTWARE<sp />IS<sp />PROVIDED<sp />"AS<sp />IS",<sp />WITHOUT<sp />WARRANTY<sp />OF<sp />ANY<sp />KIND,<sp />EXPRESS<sp />OR</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*<sp />IMPLIED,<sp />INCLUDING<sp />BUT<sp />NOT<sp />LIMITED<sp />TO<sp />THE<sp />WARRANTIES<sp />OF<sp />MERCHANTABILITY,<sp />FITNESS</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp />FOR<sp />A<sp />PARTICULAR<sp />PURPOSE<sp />AND<sp />NONINFRINGEMENT.<sp />IN<sp />NO<sp />EVENT<sp />SHALL<sp />THE<sp />AUTHORS<sp />OR</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />*<sp />COPYRIGHT<sp />HOLDERS<sp />BE<sp />LIABLE<sp />FOR<sp />ANY<sp />CLAIM,<sp />DAMAGES<sp />OR<sp />OTHER<sp />LIABILITY,<sp />WHETHER</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />IN<sp />AN<sp />ACTION<sp />OF<sp />CONTRACT,<sp />TORT<sp />OR<sp />OTHERWISE,<sp />ARISING<sp />FROM,<sp />OUT<sp />OF<sp />OR<sp />IN</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*<sp />CONNECTION<sp />WITH<sp />THE<sp />SOFTWARE<sp />OR<sp />THE<sp />USE<sp />OR<sp />OTHER<sp />DEALINGS<sp />IN<sp />THE<sp />SOFTWARE.</highlight></codeline>
<codeline lineno="23"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="preprocessor">#ifndef<sp />CY_IOT_NETWORK_SECURED_SOCKET_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_IOT_NETWORK_SECURED_SOCKET_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal" /><highlight class="comment">/*<sp />The<sp />config<sp />header<sp />is<sp />always<sp />included<sp />first.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"iot_config.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /><highlight class="comment">/*<sp />Platform<sp />network<sp />include.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"iot_network.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_secure_sockets.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_tls.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="preprocessor">#define<sp />IOT_NETWORK_SERVER_INFO_CY_SECURE_SOCKETS_INITIALIZER<sp /><sp /><sp /><sp /><sp /><sp /><sp />{<sp />0<sp />}</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /></codeline>
<codeline lineno="255"><highlight class="preprocessor">#define<sp />IOT_PASSWORD_ALPN_FOR_CY_SECURE_SOCKETS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />""</highlight><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="preprocessor">#define<sp />IOT_NETWORK_CREDENTIALS_CY_SECURE_SOCKETS_INITIALIZER<sp /><sp /><sp /><sp /><sp /><sp /><sp />{<sp />0<sp />}</highlight><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="preprocessor">#define<sp />IOT_NETWORK_INTERFACE_CY_SECURE_SOCKETS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />IotNetworkSecureSockets_GetInterface()<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="keyword">const</highlight><highlight class="normal"><sp />IotNetworkInterface_t<sp />*<sp />IotNetworkSecureSockets_GetInterface(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />);</highlight></codeline>
<codeline lineno="277"><highlight class="normal" /></codeline>
<codeline lineno="294"><highlight class="normal">IotNetworkError_t<sp /><ref kindref="member" refid="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333">IotNetworkSecureSockets_Init</ref>(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />);</highlight></codeline>
<codeline lineno="295"><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__mqtt__cyport__function_1ga2effc9b94bd111ebde698cb87031c80f">IotNetworkSecureSockets_Cleanup</ref>(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />);</highlight></codeline>
<codeline lineno="308"><highlight class="normal" /></codeline>
<codeline lineno="317"><highlight class="normal">IotNetworkError_t<sp />IotNetworkSecureSockets_Create(<sp />IotNetworkServerInfo_t<sp />pServerInfo,</highlight></codeline>
<codeline lineno="318"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IotNetworkCredentials_t<sp />pCredentialInfo,</highlight></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IotNetworkConnection_t<sp />*<sp />pConnection<sp />);</highlight></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="325"><highlight class="normal">IotNetworkError_t<sp />IotNetworkSecureSockets_SetReceiveCallback(<sp />IotNetworkConnection_t<sp />pConnection,</highlight></codeline>
<codeline lineno="326"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IotNetworkReceiveCallback_t<sp />receiveCallback,</highlight></codeline>
<codeline lineno="327"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />pContext<sp />);</highlight></codeline>
<codeline lineno="328"><highlight class="normal" /></codeline>
<codeline lineno="333"><highlight class="normal">IotNetworkError_t<sp />IotNetworkSecureSockets_SetCloseCallback(<sp />IotNetworkConnection_t<sp />pConnection,</highlight></codeline>
<codeline lineno="334"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IotNetworkCloseCallback_t<sp />closeCallback,</highlight></codeline>
<codeline lineno="335"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />pContext<sp />);</highlight></codeline>
<codeline lineno="336"><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />IotNetworkSecureSockets_Send(<sp />IotNetworkConnection_t<sp />pConnection,</highlight></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*<sp />pMessage,</highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />messageLength<sp />);</highlight></codeline>
<codeline lineno="343"><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />IotNetworkSecureSockets_Receive(<sp />IotNetworkConnection_t<sp />pConnection,</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*<sp />pBuffer,</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />bytesRequested<sp />);</highlight></codeline>
<codeline lineno="350"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal">IotNetworkError_t<sp />IotNetworkSecureSockets_Close(<sp />IotNetworkConnection_t<sp />pConnection<sp />);</highlight></codeline>
<codeline lineno="355"><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal">IotNetworkError_t<sp />IotNetworkSecureSockets_Destroy(<sp />IotNetworkConnection_t<sp />pConnection<sp />);</highlight></codeline>
<codeline lineno="360"><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />IotNetworkSecureSockets_GetSocket(<sp />IotNetworkConnection_t<sp />pConnection<sp />);</highlight></codeline>
<codeline lineno="366"><highlight class="normal" /></codeline>
<codeline lineno="367"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />ifndef<sp />CY_IOT_NETWORK_SECURED_SOCKET_H_<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" />
  </compounddef>
</doxygen>